Loading...
Searching...
No Matches
gsm0808_lcs.h File Reference
GSM 08.08 / 3GPP TS 48.008 A Interface

Declarations that depend on both gsm0808.h and bssmap_le.h: LCS related message coding. More...

`#include <osmocom/gsm/gsm0808.h>`
`#include <osmocom/gsm/bssmap_le.h>`

Go to the source code of this file.

## Data Structures

struct | gsm0808_perform_location_request
struct | gsm0808_perform_location_response

## Functions

struct msgb * | gsm0808_create_perform_location_request (const struct gsm0808_perform_location_request *params)
struct msgb * | gsm0808_create_perform_location_response (const struct gsm0808_perform_location_response *params)
int | gsm0808_enc_lcs_cause (struct msgb *msg, const struct lcs_cause_ie *lcs_cause)
struct msgb * | gsm0808_create_perform_location_abort (const struct lcs_cause_ie *lcs_cause)

## Detailed Description

Declarations that depend on both gsm0808.h and bssmap_le.h: LCS related message coding.

(This file prevents circular dependency between struct definitions for BSSMAP messages, since BSSMAP references struct lcs_cause and struct bssmap_le_location_type, and BSSMAP-LE references gsm0808_cause.